Commit 6b25379f authored by Phyks's avatar Phyks

Conditional requirements.txt, including all dependencies

parent 82681c6c
Pipeline #35774 failed with stage
in 2 minutes and 45 seconds
......@@ -34,18 +34,16 @@ An alternative method is available using Docker. See [2.docker.md](2.docker.md).
1. Clone the repository.
2. Install required Python modules: `pip install -r requirements.txt`.
3. If you are running Flatisfy with Python 2, you should also `pip install
functools32`.
4. Init a configuration file: `python -m flatisfy init-config > config.json`.
3. Init a configuration file: `python -m flatisfy init-config > config.json`.
Edit it according to your needs (see below).
5. Build the required data files:
4. Build the required data files:
`python -m flatisfy build-data --config config.json`.
6. You can now run `python -m flatisfy import --config config.json` to fetch
5. You can now run `python -m flatisfy import --config config.json` to fetch
available flats, filter them and import everything in a SQLite database,
usable with the web visualization.
7. Install JS libraries and build the webapp:
6. Install JS libraries and build the webapp:
`npm install && npm run build:dev` (use `build:prod` in production).
8. Use `python -m flatisfy serve --config config.json` to serve the web app.
7. Use `python -m flatisfy serve --config config.json` to serve the web app.
_Note_: `Flatisfy` requires an up-to-date Node version. You can find
instructions on the [NodeJS website](https://nodejs.org/en/) to install latest
......
......@@ -31,7 +31,6 @@ RUN cd /home/user \
&& git clone https://git.phyks.me/Phyks/flatisfy/ ./app \
&& cd ./app \
&& pip install -r requirements.txt \
&& pip install functools32 \
&& npm install \
&& npm run build:prod
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment